class AwinLink {

    constructor( url, proxy = `/wp-json/api/v1/proxy/` ) {

        this.url = url;

        this.proxy = proxy;
        this.platform = 'Awin';
    }

    isLink() {

        return this.url.includes('awin1');
    }


    isValid() {
        return false;
    }


    addTag( placeholder ) {

        let url = this.url.replace(/&amp;/g, '&');

        /// al momento c'è solo un publisher id, quindi lo scriviamo direttamente
        /// altrimenti dobbiamo lasciarlo parametrizzato
        let publisher_id = 570971;

        return url.replace(/(.*awinaffid=).*?(&.*clickref=).*?(&.*|$)/g, `$1${ publisher_id }$2${ placeholder }$3`);
    }


    /**
     * effettua la chiamata e prende i dati del link     
     */
    async getData( api_call ) {

        let response = await fetch( `${this.proxy}${api_call}` )
        this.data = await response.json();
        
        return this.data;
    }
    

}